Module | Sequel::JDBC::AS400::DatabaseMethods
In: | lib/sequel/adapters/jdbc/as400.rb

Instance methods for AS400 Database objects accessed via JDBC.

### Methods

database_type dataset last_insert_id supports_transaction_isolation_levels?

### Constants

TRANSACTION_BEGIN | = | 'Transaction.begin'.freeze
TRANSACTION_COMMIT | = | 'Transaction.commit'.freeze
TRANSACTION_ROLLBACK | = | 'Transaction.rollback'.freeze

### Public Instance methods

database_type()

AS400 uses the :as400 database type.

[Source]

        # File lib/sequel/adapters/jdbc/as400.rb, line 12
    12:         def database_type
    13:           :as400
    14:         end

dataset(opts=nil)

Return Sequel::JDBC::AS400::Dataset object with the given opts.

[Source]

        # File lib/sequel/adapters/jdbc/as400.rb, line 17
    17:         def dataset(opts=nil)
    18:           Sequel::JDBC::AS400::Dataset.new(self, opts)
    19:         end

last_insert_id(conn, opts={})

TODO: Fix for AS400

[Source]

        # File lib/sequel/adapters/jdbc/as400.rb, line 22
    22:         def last_insert_id(conn, opts={})
    23:           nil
    24:         end

supports_transaction_isolation_levels?()

AS400 supports transaction isolation levels

[Source]

        # File lib/sequel/adapters/jdbc/as400.rb, line 27
    27:         def supports_transaction_isolation_levels?
    28:           true
    29:         end

[Validate]